org.apache.torque.sql.whereclausebuilder

## Class CurrentDateTimePsPartBuilder

- java.lang.Object
- - org.apache.torque.sql.whereclausebuilder.AbstractWhereClausePsPartBuilder
  - - org.apache.torque.sql.whereclausebuilder.CurrentDateTimePsPartBuilder

- All Implemented Interfaces:
    WhereClausePsPartBuilder

      public class CurrentDateTimePsPartBuilder
      extends AbstractWhereClausePsPartBuilder

  A WhereClausePsPartBuilder which handles `SqlEnum.CURRENT_DATE` and `SqlEnum.CURRENT_TIME`.
  Version:
    $Id: CurrentDateTimePsPartBuilder.java 1840416 2018-09-09 15:10:22Z tv $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CurrentDateTimePsPartBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PreparedStatementPart` | `buildPs(WhereClauseExpression whereClauseExpression, boolean ignoreCase, Query query, Adapter adapter)` Builds a PreparedStatementPart from a WhereClauseExpression.
    `boolean` | `isApplicable(WhereClauseExpression whereClauseExpression, Adapter adapter)` Returns whether this WhereClausePsPartBuilder is applicable for a given WhereClauseExpression.

    - ### Methods inherited from class org.apache.torque.sql.whereclausebuilder.AbstractWhereClausePsPartBuilder

      `getObjectOrColumnPsPartBuilder, setObjectOrColumnPsPartBuilder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CurrentDateTimePsPartBuilder

          public CurrentDateTimePsPartBuilder()

  - ### Method Detail

    - #### buildPs

          public PreparedStatementPart buildPs(WhereClauseExpression whereClauseExpression,
                                               boolean ignoreCase,
                                               Query query,
                                               Adapter adapter)
                                        throws TorqueException

      Builds a PreparedStatementPart from a WhereClauseExpression.
      Parameters:
        `whereClauseExpression` - the part of the where clause to build. Can be modified in this method.
        `ignoreCase` - If true and columns represent Strings, the appropriate function defined for the database will be used to ignore differences in case.
        `query` - the query which is currently built
        `adapter` - The adapter for the database for which the SQL should be created, not null.
      Returns:
        the PreparedStatementPart for the WhereClauseExpression.
      Throws:
        `TorqueException` - when rendering fails.

    - #### isApplicable

          public boolean isApplicable(WhereClauseExpression whereClauseExpression,
                                      Adapter adapter)

      Returns whether this WhereClausePsPartBuilder is applicable for a given WhereClauseExpression.
      Parameters:
        `whereClauseExpression` - the WhereClauseExpression in question.
        `adapter` - The adapter for the database for which the SQL should be created, not null.
      Returns:
        true if applicable, false otherwise.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.